appstore apps not compatible?

Discussion in 'iPod touch' started by juone95, Sep 15, 2009.

  1. juone95

    juone95 Member

    Joined:
    Dec 28, 2007
    Messages:
    207
    Likes Received:
    0
    Device:
    iPhone 4S (White)
    my 1st gen ipod touch is on 3.3.1. My appstore apps don't open up anymore. I open it and it closes right after
  2. ryanangus

    ryanangus Active Member

    Joined:
    Oct 5, 2008
    Messages:
    1,609
    Likes Received:
    0
    A few apps aren't 3.x compatible; Maybe they need updating? If it's all the Apps, try resyncing them all as it could be a messed up sync.
  3. gavcorkery

    gavcorkery New Member

    Joined:
    Jul 29, 2009
    Messages:
    44
    Likes Received:
    0
    Device:
    iPod touch
  4. ~raF

    ~raF Member

    Joined:
    Apr 29, 2009
    Messages:
    236
    Likes Received:
    0
    Device:
    2G iPod touch
    he probably means 3.1.1
    but indeed, some are not compatible yet

Share This Page